=== debian/changelog ===
pdns (2.9.22-9ubuntu2.1) oneiric-security; urgency=low

  * SECURITY UPDATE: temporary DoS with specially crafted packets (LP: #918588)
    - debian/patches/CVE-2012-0206: prevent the auth servers from
      entering a packet loop. Based on upstream suggestion.
    - CVE-2012-0206

 -- Imre Gergely <gimre@narancs.net>  Wed, 08 Feb 2012 22:54:35 +0200

pdns (2.9.22-9ubuntu2) oneiric; urgency=low

  * Build-depend on libtdb-dev rather than tdb-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Aug 2011 23:50:46 +0100

pdns (2.9.22-9ubuntu1) oneiric; urgency=low

  * Fix FTBFS due to multiarch sqlite3. (LP: #756198)

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Mon, 04 Jul 2011 17:45:17 +0200

pdns (2.9.22-9build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 May 2011 23:08:03 +0100

pdns (2.9.22-9) unstable; urgency=low

  * My name is now spelled correctly with the ö instead of o.
  * Reupload to fix a unresolved symbol (Closes: #623036)
  * Add debug package for pdns-server (Closes: #594242)
  * Fix the lintian overrides.

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sun, 17 Apr 2011 13:02:43 +0200

pdns (2.9.22-8) unstable; urgency=high

  * Update init.d scripts and remove mysql and postgresql from the
    dependencies. The loop between mysql and pdns causes apt to fail hence
    the urgency high. (Closes: #595018)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri, 24 Sep 2010 16:24:04 +0200

pdns (2.9.22-7) unstable; urgency=low

  * Provide the file now in the correct location. (Closes: #585966)
  * Update Standards-Version to 3.9.1
  * Add new dnsdomain2.schema for LDAP (Closes: #589606)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Tue, 03 Aug 2010 18:25:28 +0200

pdns (2.9.22-6) unstable; urgency=high

  * Provide the virtual facility $named. (Closes: #585966)
  * Added danish translation thanks to Joe Dalton (Closes: #585572)
  * For now add a 2 second delay before continue with the boot process to
    ensure pdns is listening on a socket.
  * Update Standards-Version to 3.9.0

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 18 Jul 2010 14:48:27 +0200

pdns (2.9.22-5) unstable; urgency=low

  * Fix FTBFS on hurd
  * Should-Start / Should-Stop added for slapd, mysql and postgresql
    Thanks to Petter Reinholdtsen (Closes: #580819)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 23 May 2010 13:18:25 +0200

pdns (2.9.22-4) unstable; urgency=low

  * Add db_stop to fix an upgrade (Closes: #555311)
  * Fix error in postinst of sqlite and sqlite3 (Closes: #565516)
  * Updated Standards-Version to 3.8.4
  * Make lintian happy
  * Complete the pdns_control manpage (Closes: #556473)
  * Switch to dpkg-source 3.0 (quilt) format
  * Removing Christoph Haas from uploaders, thank you for the great work.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri, 09 Apr 2010 17:23:24 +0200

pdns (2.9.22-3) unstable; urgency=low

  * Fix a syntax error in postinst.
  * Removed old upgrade code for splitting the config.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 08 Nov 2009 14:48:57 +0100

pdns (2.9.22-2) unstable; urgency=low

  [ Christoph Haas ]
  * Fixed init.d script (Closes: #518294)
  * Moved resolvconf temp file to /var/run/powerdns (Closes: #333726)

  [ Matthijs Mohlmann ]
  * Updated Standards-Version to 3.8.3
  * Added russian translation (Closes: #539465)
  * Added spanish translation (Closes: #508987)
  * Added SQLite3 database schema to examples
  * Added PostgreSQL database schema to examples
  * Change libmysqlclient15-dev to libmysqlclient-dev.
  * Moved from dpatch to quilt patch system.
  * Fix FTBFS with gcc 4.4 (Closes: #510674)
  * Added italian translation (Closes: #552219, #548695)
  * Added basque translation (Closes: #553150)
  * Fixed init.d script including correct dependencies and runlevels
    (Closes: #548293)
  * Added finnish translation (Closes: #553648)
  * Implemented triggers to prevent multiple restarts (Closes: #502981)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 02 Nov 2009 12:49:43 +0100

pdns (2.9.22-1) unstable; urgency=low

  * New upstream version (closes: #513409).

 -- Christoph Haas <haas@debian.org>  Wed, 25 Feb 2009 23:25:51 +0100

pdns (2.9.21.2-2) unstable; urgency=low

  * Added japanese PO file (closes: #510705)

 -- Christoph Haas <haas@debian.org>  Mon, 05 Jan 2009 23:38:05 +0100

pdns (2.9.21.2-1) unstable; urgency=low

  * New Upstream Version
  * Included typo fixes from Thijs Kinkhorst (closes: #502982)
  * Removed the splitconfig call from debian/pdns-server.postinst as it
    broke configurations with multiline definitions. It should not be
    needed anymore anyway after an update from Sarge to Etch.
    (closes: #475141)
  * Added patch for LDAP requests spanning subdomains due to incorrect
    LDAP search query (closes: #500137).

 -- Christoph Haas <haas@debian.org>  Tue, 25 Nov 2008 20:11:46 +0100

pdns (2.9.21.1.0-1) unstable; urgency=low

  * Fixed glitch in upstream tarball for 2.9.2.21.1.
    Actually this is the same upstream version as 2.9.21.1 but due to a
    merging glitch when using git-buildpackage two files were changed.
    So the orig.tar.gz for 2.9.21.1 in Debian is not entirely correct
    (although it doesn't hurt either). To replace the wrong orig.tar.gz
    it needs a higher version number. 2.9.21.1.0-1 it newer than 2.9.21.1-1.

 -- Christoph Haas <haas@debian.org>  Fri, 08 Aug 2008 15:38:55 +0200

pdns (2.9.21.1-1) unstable; urgency=high

  * New Upstream Version (fixes CVE-2008-3337)

 -- Christoph Haas <haas@debian.org>  Thu, 07 Aug 2008 00:25:01 +0200

pdns (2.9.21-6) unstable; urgency=low

  * Use upstream patch for the ldapbackend. (See #462966)
  * Fix pdns-server hang in postinst (Closes: #468160)
  * Fix typo in the Description of pdns-backend-mysql to make lintian happy.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 02 Mar 2008 22:50:11 +0100

pdns (2.9.21-5) unstable; urgency=low


