=== debian/control ===
Source: pdns
Section: net
Priority: extra
Standards-Version: 3.9.1
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthijs Möhlmann <matthijs@cacholong.nl>
Build-Depends: debhelper (>= 6.0.7), po-debconf, libtool, flex, bison, docbook-utils, docbook, libmysqlclient-dev, libpq-dev, libssl-dev, libtdb-dev, libgdbm-dev, libldap2-dev, libsqlite0-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, autotools-dev, automake1.9, autoconf
Vcs-Git: git://github.com/Signum/debian-pdns.git

Package: pdns-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), adduser
Replaces: pdns
Recommends: pdns-doc
Suggests: pdns-backend, pdns-recursor
Description: extremely powerful and versatile nameserver
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the authoritative nameserver that answers questions about
 domains that it knows about. It also includes the bind backend that
 allows PowerDNS to retrieve domain info from zone files as used by
 the "bind" software.

Package: pdns-server-dbg
Section: debug
Architecture: any
Priority: extra
Depends: pdns-server (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains debugging symbols for PowerDNS to assist in
 debugging, such as gdb. It is not required for normal operation.

Package: pdns-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: PowerDNS manual
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the complete manual for PowerDNS, documenting both how to
 install and configure it as well as how to write new backend modules.

Package: pdns-backend-pipe
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: pipe/coprocess backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the pipe backend for the PowerDNS nameserver. This
 allows PowerDNS to retrieve domain info from a process that accepts
 questions on stdin and returns answers on stdout. 

Package: pdns-backend-ldap
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: LDAP backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains an LDAP backend for the PowerDNS nameserver.

Package: pdns-backend-geo
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: geo backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a geobackend for the PowerDNS nameserver. This backend
 balances the load throughout the world so that people access the
 geographically nearest available server.

Package: pdns-backend-mysql
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: generic MySQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic MySQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-pgsql
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: generic PostgreSQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic PostgreSQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-sqlite
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite
Provides: pdns-backend
Description: sqlite backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic SQLite backend for PowerDNS.

Package: pdns-backend-sqlite3
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite3
Provides: pdns-backend
Description: sqlite backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic SQLite backend for PowerDNS.
