=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: pdns
 Section: net
 Priority: extra
-Standards-Version: 3.9.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthijs Möhlmann <matthijs@cacholong.nl>
-Build-Depends: debhelper (>= 6.0.7), po-debconf, libtool, flex, bison, docbook-utils, docbook, libmysqlclient-dev, libpq-dev, libssl-dev, libtdb-dev, libgdbm-dev, libldap2-dev, libsqlite0-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, autotools-dev, automake1.9, autoconf
+Standards-Version: 3.9.2
+Maintainer: Matthijs Möhlmann <matthijs@cacholong.nl>
+Build-Depends: debhelper (>= 7.0.50~), po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, tdb-dev, libgdbm-dev, libldap2-dev, libsqlite0-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, autotools-dev, automake, autoconf, liblua5.1-0-dev, pkg-config, libcrypto++-dev, mongodb-dev, ragel
 Vcs-Git: git://github.com/Signum/debian-pdns.git
+Homepage: http://www.powerdns.com/
 
 Package: pdns-server
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), adduser
 Replaces: pdns
-Recommends: pdns-doc
 Suggests: pdns-backend, pdns-recursor
 Description: extremely powerful and versatile nameserver
  PowerDNS is a versatile nameserver which supports a large number
@@ -37,19 +36,6 @@
  .
  This package contains debugging symbols for PowerDNS to assist in
  debugging, such as gdb. It is not required for normal operation.
-
-Package: pdns-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}
-Description: PowerDNS manual
- PowerDNS is a versatile nameserver which supports a large number
- of different backends ranging from simple zonefiles to relational
- databases and load balancing/failover algorithms.
- PowerDNS tries to emphasize speed and security.
- .
- This is the complete manual for PowerDNS, documenting both how to
- install and configure it as well as how to write new backend modules.
 
 Package: pdns-backend-pipe
 Architecture: any
@@ -93,7 +79,9 @@
 
 Package: pdns-backend-mysql
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, dbconfig-common
+Recommends: mysql-client
+Suggests: mysql-server
 Provides: pdns-backend
 Description: generic MySQL backend for PowerDNS
  PowerDNS is a versatile nameserver which supports a large number
@@ -106,7 +94,9 @@
 
 Package: pdns-backend-pgsql
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, dbconfig-common
+Recommends: postgresql-client
+Suggests: postgresql
 Provides: pdns-backend
 Description: generic PostgreSQL backend for PowerDNS
  PowerDNS is a versatile nameserver which supports a large number
@@ -119,7 +109,7 @@
 
 Package: pdns-backend-sqlite
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite, dbconfig-common
 Provides: pdns-backend
 Description: sqlite backend for PowerDNS
  PowerDNS is a versatile nameserver which supports a large number
@@ -131,7 +121,7 @@
 
 Package: pdns-backend-sqlite3
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite3
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite3, dbconfig-common
 Provides: pdns-backend
 Description: sqlite backend for PowerDNS
  PowerDNS is a versatile nameserver which supports a large number
@@ -141,3 +131,27 @@
  .
  This package contains a generic SQLite backend for PowerDNS.
 
+Package: pdns-backend-lua
+Architecture: any
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: pdns-backend
+Description: lua backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains a lua backend for PowerDNS.
+
+#Package: pdns-backend-mongodb
+#Architecture: any
+#Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+#Provides: pdns-backend
+#Description: mongodb backend for PowerDNS
+# PowerDNS is a versatile nameserver which supports a large number
+# of different backends ranging from simple zonefiles to relational
+# databases and load balancing/failover algorithms.
+# PowerDNS tries to emphasize speed and security.
+# .
+# This package contains a mongodb backend for PowerDNS.
+
